program DPtest
  use velsimpx
  use dottest

  implicit none
  real, dimension (2) :: dot1 = (/ 0., 0. /), dot2 = (/ 0., 0. /)
  integer, parameter  :: nt = 200, ns = 25, nx = 25
  real,    parameter  :: t0 = 0.004, dt = 0.004, x0 = 0., dx = 0.02, s0 = 0.01, ds = 0.01

  call velsimpx_init( t0, dt, x0, dx, s0, ds, nt, nx, ns, .true.)
  ! call dot_test (?, ?, ?, dot1, dot2) ! ----------------- uncomment and edit
  write (6,*) dot1
  write (6,*) dot2
end program DPtest
